Skip to main content
GET
/
prospects
List prospects
curl --request GET \
  --url https://api.altahq.com/v1/prospects \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "objectType": "prospect",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "hasMore": true,
  "next": "<string>",
  "previous": "<string>"
}
Returns a paginated list of prospect objects.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:10

Maximum number of results to return (1–100). Defaults to 10.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the next or previous value from a prior response.

campaignId
string<uuid>

Filter prospects by campaign ID.

Response

A paginated list of prospects

data
object[]
required
hasMore
boolean
required
next
string
previous
string